python-module-pygnome-extras-2.25.3-alt5.x86_64.rpm


Advertisement

Description

python-module-pygnome-extras - Set of extra bindings for the GNOME2 platform library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename python-module-pygnome-extras-2.25.3-alt5.x86_64.rpm
Package name python-module-pygnome-extras
Package version 2.25.3
Package release alt5
Package architecture x86_64
Package type rpm
Category Development/Python
Homepage -
License -
Maintainer -
Download size 194.94 KB
Installed size 194.94 KB
This package is a set of extra bindings for the Gnome platform
libraries called PyGNOME. It builds on top of the PyGTK bindings for GTK and
the PyORBit bindings for ORBit2.
PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

Alternatives

Package Version Architecture Repository
python-module-pygnome-extras-2.25.3-alt5.i586.rpm 2.25.3 i586 Classic
python-module-pygnome-extras - - -

Requires

Name Value
/usr/lib64/python2.7/site-packages -
libbonoboui-2.so.0()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libgconf-2.so.4()(64bit) -
libgdk-x11-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgnomeui-2.so.0()(64bit) -
libgnomevfs-2.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgtk-x11-2.0.so.0()(64bit) -
libgtkspell.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
python = 2.7
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
python-module-pygnome-extras = 2.25.3-alt5
python2.7(egg) -
python2.7(egg.recent) -
python2.7(egg.trayicon) -
python2.7(gtkspell) -
python2.7-module-pygnome = 2.25.3-alt5

Download

Type URL
Mirror ftp.altlinux.org
Binary Package python-module-pygnome-extras-2.25.3-alt5.x86_64.rpm
Source Package python-module-pygnome-extras-2.25.3-alt5.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install python-module-pygnome-extras rpm package:
    # sudo apt-get install python-module-pygnome-extras

Files

Path
/usr/lib64/python2.7/site-packages/gtk-2.0/gtkspell.so
/usr/lib64/python2.7/site-packages/gtk-2.0/egg/__init__.py
/usr/lib64/python2.7/site-packages/gtk-2.0/egg/__init__.pyc
/usr/lib64/python2.7/site-packages/gtk-2.0/egg/__init__.pyo
/usr/lib64/python2.7/site-packages/gtk-2.0/egg/recent.la
/usr/lib64/python2.7/site-packages/gtk-2.0/egg/recent.so
/usr/lib64/python2.7/site-packages/gtk-2.0/egg/trayicon.la
/usr/lib64/python2.7/site-packages/gtk-2.0/egg/trayicon.so
/usr/share/doc/python-module-pygnome-extras-2.25.3/AUTHORS
/usr/share/doc/python-module-pygnome-extras-2.25.3/ChangeLog
/usr/share/doc/python-module-pygnome-extras-2.25.3/NEWS
/usr/share/doc/python-module-pygnome-extras-2.25.3/README

Changelog

2016-02-22 - Yuri N. Sedunov <aris@altlinux.org> 2.25.3-alt5
- fixed buildreqs
2013-03-15 - Yuri N. Sedunov <aris@altlinux.org> 2.25.3-alt4
- gda, gdl, gksu2 modules disabled
2012-04-12 - Vitaly Kuznetsov <vitty@altlinux.ru> 2.25.3-alt3.2.1
- Rebuild to remove redundant libpython2.7 dependency
2012-04-10 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.25.3-alt3.2
- Fixed build
2011-10-28 - Vitaly Kuznetsov <vitty@altlinux.ru> 2.25.3-alt3.1
- Rebuild with Python-2.7
- remove gtkmozembed part
2009-12-24 - Alexey Rusakov <ktirf@altlinux.org> 2.25.3-alt3
- rebuilt with libgdl 2.28, now really fixing GNOME Bug #584126
2009-11-24 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.25.3-alt2.1
- Rebuilt with python 2.6
2009-11-24 - Yuri N. Sedunov <aris@altlinux.org> 2.25.3-alt2
- updated buildreqs
- fixed GNOME bug #584126
2009-09-24 - Yuri N. Sedunov <aris@altlinux.org> 2.25.3-alt1
- 2.25.3
2009-01-30 - Yuri N. Sedunov <aris@altlinux.org> 2.25.2-alt1
- new version

See Also

Package Description
python-module-pygnome-extras-devel-2.25.3-alt5.x86_64.rpm files needed to build extra wrappers for GNOME libraries
python-module-pygnome-gconf-2.28.1-alt3.x86_64.rpm Python bindings for interacting with GConf
python-module-pygnome-gnome-keyring-2.32.0-alt8.x86_64.rpm Python bindings for interacting with gnome-keyring
python-module-pygnome-gnome-vfs-2.28.1-alt3.x86_64.rpm Python bindings for interacting with gnome-vfs
python-module-pygnome-gtkhtml2-2.25.3-alt5.x86_64.rpm Python bindings for interacting with gtkhtml2
python-module-pygnome-wnck-2.32.0-alt8.x86_64.rpm Python bindings for interacting with libwnck
python-module-pygobject-2.28.7-alt1.x86_64.rpm Python bindings for GObject
python-module-pygobject-devel-2.28.7-alt1.x86_64.rpm Development files for pygobject
python-module-pygobject3-3.32.1-alt1.x86_64.rpm Python bindings for GObject
python-module-pygobject3-common-devel-3.32.1-alt1.x86_64.rpm Common development files for pygobject
python-module-pygobject3-pygtkcompat-3.32.1-alt1.x86_64.rpm PyGTK compatibility layer for PyGObject
python-module-pygoocanvas-0.14.1-alt1.1.1.x86_64.rpm GooCanvas python bindings
python-module-pygoocanvas-devel-0.14.1-alt1.1.1.x86_64.rpm GooCanvas python bindings - Development files
python-module-pygraphviz-1.5-alt2.x86_64.rpm Python wrapper for the Graphviz Agraph data structure
python-module-pygraphviz-tests-1.5-alt2.x86_64.rpm Tests for pygraphviz
Advertisement
Advertisement